#ifndef TIME_H
#define TIME_H

#include "common.h"

//=========================== defines =========================================

//=========================== typedef =========================================

typedef void (*time_event_cbt)(void);

//=========================== prototypes ======================================

void     time_configureFsmEvent(uint32_t delay_ms, time_event_cbt fsmEvent);
void     time_configureSensorStrobe(uint16_t frequency_hz);
void     time_configurePublishEvent(uint32_t period, time_event_cbt publishEvent); // in 1/32 ms

#endif
